> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the steps of an approval process

> Retrieve a list of approval policy process steps.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/approval-policies/{approval_policy_id}/processes/{process_id}/steps
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/approval-policies/{approval_policy_id}/processes/{process_id}/steps:
    get:
      tags:
        - Approval policies
      summary: Get the steps of an approval process
      description: Retrieve a list of approval policy process steps.
      operationId: get_approval-policies_id_processes_id_steps
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - required: true
          schema:
            type: string
            format: uuid
          name: approval_policy_id
          in: path
        - required: true
          schema:
            type: string
            format: uuid
          name: process_id
          in: path
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovalProcessStepResourceList'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '404':
          description: >-
            Possible responses: `Approval policy with ID {id} not found.`,
            `Approval policy process with ID {id} not found.`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApprovalProcessStepResourceList:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ApprovalProcessStepResource'
          type: array
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ApprovalProcessStepResource:
      properties:
        approval_request_id:
          type: string
          format: uuid
        approval_type:
          $ref: '#/components/schemas/ApprovalTypeEnum'
        approved_by:
          items:
            type: string
            format: uuid
          type: array
        object_id:
          type: string
          format: uuid
        reject_reason:
          type: string
        rejected_by:
          type: string
          format: uuid
        required_approval_count:
          type: integer
          minimum: 1
        role_ids:
          items:
            type: string
            format: uuid
          type: array
        status:
          $ref: '#/components/schemas/ApprovalProcessStepStatus'
        submitted_by:
          type: string
          format: uuid
        user_ids:
          items:
            type: string
            format: uuid
          type: array
      type: object
      required:
        - approved_by
        - object_id
        - required_approval_count
        - status
        - user_ids
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    ApprovalTypeEnum:
      type: string
      enum:
        - user_ids
        - role
        - reporting_manager
    ApprovalProcessStepStatus:
      type: string
      enum:
        - waiting
        - approved
        - rejected
        - canceled
        - failed
        - not_started
        - skipped
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````